Mailinglist Archive: opensuse-bugs (4258 mails)

< Previous Next >
[Bug 1022222] New: Geany IDE : no terminal even vith libvte9 installed
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 27 Jan 2017 09:31:49 +0000
  • Message-id: <bug-1022222-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1022222


Bug ID: 1022222
Summary: Geany IDE : no terminal even vith libvte9 installed
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 42.2
Hardware: 64bit
OS: openSUSE 42.2
Status: NEW
Severity: Minor
Priority: P5 - None
Component: Development
Assignee: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
Reporter: sogal@xxxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

Dear maintainer,

On openSUSE Leap 42.2 up-to-date, I have installed Geany and its geany-plugins
package.

Informations sur paquet geany :
-------------------------------
Dépôt : openSUSE-Leap-42.2-Oss
Nom : geany
Version : 1.28-1.6
Arch : x86_64
Fabricant  : openSUSE


When launching Geany, no integrated terminal in available (not to be confused
with multiterm which is a plugin).
The options in Preferences => General => Startup => Load virtual terminal
support is enabled.
After checking Geany mailing list, this feature needs libvte9 which is
installed on my system.

Informations sur paquet libvte9 :
---------------------------------
Dépôt : openSUSE-Leap-42.2-Oss
Nom : libvte9
Version : 0.28.2-21.3
Arch : x86_64

rpm -ql libvte9
/usr/lib64/libvte.so.9
/usr/lib64/libvte.so.9.2800.2

Launching Geany with --vte-lib option provokes core dump :

geany --vte-lib /usr/lib64libvte.so.9
[1] 13674 segmentation fault (core dumped) geany --vte-lib
/usr/lib64libvte.so.9

Intended behavior is :
Geany should have native support for terminal as long as libvte9 is installed
or, at least, it shouldn't crash when path to libvte9 is passed as an option.

Thank you for your time and attention and for any information that can help to
solve this problem.

Regards,
Sébastien

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >